package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.Mxfxjgb;

/**
 * 大模型分析Mapper接口
 * 
 * @author ruoyi
 * @date 2025-10-22
 */
public interface MxfxjgbMapper 
{
    /**
     * 查询大模型分析
     * 
     * @param id 大模型分析主键
     * @return 大模型分析
     */
    public Mxfxjgb selectMxfxjgbById(Long id);

    /**
     * 查询大模型分析列表
     * 
     * @param mxfxjgb 大模型分析
     * @return 大模型分析集合
     */
    public List<Mxfxjgb> selectMxfxjgbList(Mxfxjgb mxfxjgb);

    /**
     * 新增大模型分析
     * 
     * @param mxfxjgb 大模型分析
     * @return 结果
     */
    public int insertMxfxjgb(Mxfxjgb mxfxjgb);

    /**
     * 修改大模型分析
     * 
     * @param mxfxjgb 大模型分析
     * @return 结果
     */
    public int updateMxfxjgb(Mxfxjgb mxfxjgb);

    /**
     * 删除大模型分析
     * 
     * @param id 大模型分析主键
     * @return 结果
     */
    public int deleteMxfxjgbById(Long id);

    /**
     * 批量删除大模型分析
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMxfxjgbByIds(Long[] ids);
}
